Bug 493788 - segfault/problems in module-combine
Summary: segfault/problems in module-combine
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 11
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 497550 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-03 05:08 UTC by Dimi Paun
Modified: 2009-08-07 22:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-07 22:24:40 UTC


Attachments (Terms of Use)
pulseaudio bt ? (4.52 KB, text/plain)
2009-04-04 18:31 UTC, Flóki Pálsson
no flags Details
BT with "handle SIGXCPU SIGPWR ..." (8.15 KB, text/plain)
2009-04-13 21:58 UTC, Flóki Pálsson
no flags Details
thread apply all bt full (8.48 KB, text/plain)
2009-04-13 22:05 UTC, Flóki Pálsson
no flags Details
Another backtrace of PA going into an infinite loop (4.92 KB, application/octet-stream)
2009-05-08 17:28 UTC, Dimi Paun
no flags Details

Description Dimi Paun 2009-04-03 05:08:31 UTC
Description of problem:
pulseaudio keeps dying unexpectedly under normal usage. 

Version-Release number of selected component (if applicable):
pulseaudio-0.9.15-8.test7.fc11.i586

How reproducible:
Very, it happens fairly fast.

Steps to Reproduce:
1. try to play some music 
2.
3.

Comment 1 Lennart Poettering 2009-04-03 14:00:02 UTC
Please set log-level to 'debug' in /etc/pulse/daemon.conf. Then try to reproduce and paste the output of pa in syslog.

Comment 2 Dimi Paun 2009-04-03 14:27:49 UTC
This I got by changing the "Profile" of my "Internal Audio" from Volume Control | Configuration.

Before PA would crash by itself fairly quickly, but after I changed the output to the USB headphones, it didn't want to do it, so I was trying to replicate the conditions that led to the crash. 

This is the last part of the log:

Apr  3 10:24:20 dimi pulseaudio[12159]: source.c: Created source 10 "alsa_output.pci_8086_284b_sound_card_0.monitor" with sample spec s16le 4ch 44100Hz and channel map front-left,front-right,rear-left,rear-right
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     device.description = "Monitor of Internal Audio"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     device.class = "monitor"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     alsa.card = "0"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     alsa.card_name = "HDA Intel"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     alsa.long_card_name = "HDA Intel at 0xfebf8000 irq 22"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     alsa.driver_name = "snd_hda_intel"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     device.bus = "pci"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     device.vendor.id = "8086"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     device.vendor.name = "Intel Corporation"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     device.product.id = "284b"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     device.product.name = "82801H (ICH8 Family) HD Audio Controller"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     device.form_factor = "internal"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     device.bus_path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     hal.udi = "/org/freedesktop/Hal/devices/pci_8086_284b_sound_card_0"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     hal.product = "HDA Intel Sound Card"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     hal.card_id = "HDA Intel"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     device.string = "0"
Apr  3 10:24:20 dimi pulseaudio[12159]: source.c:     device.icon_name = "audio-card-pci"
Apr  3 10:24:20 dimi pulseaudio[12159]: alsa-sink.c: Using 2 fragments of size 352768 bytes, buffer time is 1999.82ms
Apr  3 10:24:20 dimi pulseaudio[12159]: alsa-sink.c: Time scheduling watermark is 20.00ms
Apr  3 10:24:20 dimi pulseaudio[12159]: alsa-sink.c: Volume ranges from 0 to 39.
Apr  3 10:24:20 dimi pulseaudio[12159]: alsa-sink.c: Volume ranges from -58.50 dB to 0.00 dB.
Apr  3 10:24:20 dimi pulseaudio[12159]: alsa-sink.c: No particular base volume set, fixing to 0 dB
Apr  3 10:24:20 dimi pulseaudio[12159]: alsa-util.c: ALSA device lacks independant volume controls for each channel.
Apr  3 10:24:20 dimi pulseaudio[12159]: alsa-sink.c: Using hardware volume control. Hardware dB scale supported.
Apr  3 10:24:20 dimi pulseaudio[12159]: alsa-sink.c: Starting playback.
Apr  3 10:24:20 dimi pulseaudio[12159]: module-combine.c: Configuring new sink: alsa_output.pci_8086_284b_sound_card_0
Apr  3 10:24:21 dimi kernel: pulseaudio[12197]: segfault at 63697695 ip 003ac0f7 sp b10fe018 error 4 in module-combine.so[3aa000+9000]

Comment 3 Lennart Poettering 2009-04-03 15:33:40 UTC
Oh, hmm, module-combine seems to trigger a segfault.

Could you please get me a backtrace?

http://pulseaudio.org/wiki/Community#BugsPatchesTranslations

Comment 4 Flóki Pálsson 2009-04-04 18:31:17 UTC
Created attachment 338174 [details]
pulseaudio bt ?

Does this help

Comment 5 Lennart Poettering 2009-04-05 14:44:31 UTC
Please read the the link I posted carefully and do the 'handle SIGXCPU...' stuff in gdb as recommended. Then reproduce the crash and get me the bt please.

Comment 6 Flóki Pálsson 2009-04-13 21:58:14 UTC
Created attachment 339389 [details]
BT with "handle SIGXCPU SIGPWR ..." 

>bt thread apply all bt full (etc. etc.)
This part I am not sure off.

Comment 7 Flóki Pálsson 2009-04-13 22:05:15 UTC
Created attachment 339390 [details]
thread apply all bt full

Comment 8 Lennart Poettering 2009-04-14 00:55:25 UTC
Uh, that's a completely unrelated issue and is already covered in bug 472339. I was interested in a backtrace for the module combine segfault you found there.

Comment 9 Flóki Pálsson 2009-04-18 14:34:34 UTC
Well.
Pulseaudio is working fine now.

Comment 10 Dimi Paun 2009-04-24 03:25:07 UTC
Lennart, I'll try to reproduce it. But it's not easy, this is my production box and I have limited time experimenting. As soon as I can reproduce it again, I'll post a backtrace.

Comment 11 Lennart Poettering 2009-04-24 14:53:53 UTC
A 'production' box running Rawhide? You are doing something wrong.

Comment 12 Dimi Paun 2009-04-24 15:11:27 UTC
Of course I am -- as I explained before, I was so annoyed with different sound problems I was having with sound in F8 that I decided to try F11 beta (F9 and F10 do not install on my box due to severe dmraid breakage).

And I'll go on record stating that while not perfect, it is an improvement from F8 :)

Comment 13 Lennart Poettering 2009-05-07 21:50:11 UTC
*** Bug 497550 has been marked as a duplicate of this bug. ***

Comment 14 Dimi Paun 2009-05-08 17:28:27 UTC
Created attachment 343133 [details]
Another backtrace of PA going into an infinite loop

Again, ~2s sound snippet, if you listen to it is not 100% loop because there is very slow progress, after a few minutes you can hear the snippet change a bit.

Comment 15 Dimi Paun 2009-05-08 17:30:50 UTC
After the infinte loop, I took out the module-combine, restarted PA (pusleaudio -k), but after a little bit the music was very choppy and noisy and LOTS of CPU usage.

Comment 16 Bug Zapper 2009-06-09 13:10:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Lennart Poettering 2009-08-07 22:24:40 UTC
Hmm, I am closing this now. There are other bugs about the snd_pcm_avail() issues open (see bug 506075, 501769), and I didn't get the module-combine bt, so I guess this bug report is redundant.


Note You need to log in before you can comment on or make changes to this bug.